import * as _web3_react_walletconnect from '@web3-react/walletconnect';
import * as _web3_react_core from '@web3-react/core';
import * as _web3_react_metamask from '@web3-react/metamask';
import { ReactNode } from 'react';
import * as _ethersproject_providers from '@ethersproject/providers';
import { Connector } from '@web3-react/types';

declare enum Wallet$1 {
    INJECTED = "INJECTED",
    COINBASE_WALLET = "COINBASE_WALLET",
    WALLET_CONNECT = "WALLET_CONNECT",
    FORTMATIC = "FORTMATIC",
    NETWORK = "NETWORK",
    GNOSIS_SAFE = "GNOSIS_SAFE"
}

interface WalletProviderProps {
    children: ReactNode;
}
declare function WalletProvider({ children }: WalletProviderProps): JSX.Element;

declare function useActiveWeb3React(): _web3_react_core.Web3ContextType<_ethersproject_providers.Web3Provider>;

declare function useWallet(): {
    setSelectedWallet: (wallet: Wallet$1) => void;
};

declare enum Wallet {
    INJECTED = "INJECTED",
    COINBASE_WALLET = "COINBASE_WALLET",
    WALLET_CONNECT = "WALLET_CONNECT",
    FORTMATIC = "FORTMATIC",
    NETWORK = "NETWORK",
    GNOSIS_SAFE = "GNOSIS_SAFE"
}
declare function getWalletForConnector(connector: Connector): Wallet.INJECTED | Wallet.WALLET_CONNECT | Wallet.NETWORK;

interface WalletInfo {
    connector?: Connector;
    wallet?: Wallet;
    name: string;
    iconURL?: string;
    description?: string;
    href?: string | null;
    color?: string;
    primary?: true;
    mobile?: true;
    mobileOnly?: true;
}
declare const WALLETS: WalletInfo[];
declare const SUPPORTED_WALLETS: {
    [key: string]: WalletInfo;
};

declare function getName(connector: Connector): "MetaMask" | "WalletConnect" | "Network" | "Unknown";

declare const MetamaskConnector: {
    wallet: _web3_react_metamask.MetaMask;
    hooks: _web3_react_core.Web3ReactHooks;
};
declare const WalletConnectConnector: {
    wallet: _web3_react_walletconnect.WalletConnect;
    hooks: _web3_react_core.Web3ReactHooks;
};

export { MetamaskConnector, SUPPORTED_WALLETS, WALLETS, Wallet, WalletConnectConnector, WalletProvider, getName, getWalletForConnector, useActiveWeb3React, useWallet };
